org.springframework.messaging.handler.annotation

## Annotation Type DestinationVariable

    @Target(value=PARAMETER)
     @Retention(value=RUNTIME)
     @Documented
    public @interface DestinationVariable

Annotation that indicates a method parameter should be bound to a template variable in a destination template string. Supported on message handling methods such as `@MessageMapping`.

A `@DestinationVariable` template variable is always required.

Since:
  4.0
Author:
  Brian Clozel, Rossen Stoyanchev
See Also:
  `MessageMapping`, `SimpAnnotationMethodMessageHandler`

### Optional Element Summary

Optional Elements
`String` `value` The name of the destination template variable to bind to.

### Element Detail

#### value

    public abstract String value

The name of the destination template variable to bind to.

Default:
  ""